Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003941OCamlCamlp4public2005-12-30 13:562007-02-21 16:21
ReporterChristoph Bauer 
Assigned Tomauny 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.09.3 
Summary0003941: mkcamlp4 option parsing problem
DescriptionThis problem occurs on ocaml-3.09.0/mingw.

mkcamlp4 is called (in the package HereDoc) with
 $ mlcamlp4 -o ...
which leads to an error: basename doesn't know the option -o.

The trivial fix is to add `--' to the basename call in mkcamlp4.

        j=`basename -- "$1" .cmi`


TagsNo tags attached.
Attached Filesdiff file icon patch-mkcamlp4.diff [^] (996 bytes) 2006-01-03 11:58 [Show Content]

- Relationships

-  Notes
(0003478)
mauny (developer)
2006-01-03 12:00

Improved the selection of .cmi args of mkcamlp4.sh.tpl (patch, configure and make to apply).

- Issue History
Date Modified Username Field Change
2005-12-30 13:56 Christoph Bauer New Issue
2006-01-03 11:58 mauny File Added: patch-mkcamlp4.diff
2006-01-03 12:00 mauny Note Added: 0003478
2006-01-03 13:08 mauny Assigned To => mauny
2006-01-03 13:08 mauny Status new => resolved
2006-01-03 13:08 mauny Resolution open => fixed
2007-02-21 16:21 xleroy Status resolved => closed
2007-02-21 16:21 xleroy Fixed in Version => 3.09.3


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker